Rename "Bad image list" to something better
OpenPublic

Assigned To
None
Priority
Lowest
Author
bzimport
Subscribers
Thryduulf, Krenair, Nemo_bis and 9 others
Projects
Reference
bz14281
Security
None
Description

Author: craleigh318

Description:
From my suggestion on the English Wikipedia talk page, MediaWiki talk:Bad image list:

I was thinking that perhaps *MediaWiki:Abused image list* would be a more appropriate page name, considering that it is not the images themselves that are to be considered "bad," but rather how the editors are using them. —C. Raleigh (talk) 21:09, 26 May 2008 (UTC)

The administrator Ilmari Karonen has told me that this would be the correct place to suggest that the MediaWiki page should be renamed to a possibly-more suitable name.

Thank you for your time.


Version: 1.12.x
Severity: enhancement
URL: http://en.wikipedia.org/wiki/MediaWiki_talk:Bad_image_list#MediaWiki:Abused_image_list.3F

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14281.
bzimport created this task.Via LegacyMay 27 2008, 4:15 AM
bzimport added a comment.Via ConduitMay 28 2008, 12:58 AM

danny.b wrote:

Why not simply MediaWiki:ImageBlacklist to keep the consistence with other black/whitelists?

brion added a comment.Via ConduitMay 28 2008, 1:18 AM

That might imply an upload blacklist... but it ain't bad.

bzimport added a comment.Via ConduitMay 28 2008, 1:31 AM

danny.b wrote:

Maybe ImageUsageBlacklist then to be more descriptive?

bzimport added a comment.Via ConduitMay 28 2008, 8:18 AM

craleigh318 wrote:

I suppose MediaWiki:ImageUsageBlacklist would probably be the best name.

bzimport added a comment.Via ConduitJun 17 2008, 2:08 AM

banyantreewp wrote:

This is the second discussion from the en.wiki talk page. So far, three users including me have supported "Restricted images list", one has suggested "unsuitable image list", one for "blocked images list" and one for "abused image list". That said, any name that doesn't imply a moral judgment of the images would be fine with me, and consistency is as good an argument as any.

bzimport added a comment.Via ConduitJun 17 2008, 1:53 PM

Satori_Son wrote:

(In reply to comment #5)

This is the second discussion from the en.wiki talk page. So far, three users
including me have supported "Restricted images list", one has suggested
"unsuitable image list", one for "blocked images list" and one for "abused
image list". That said, any name that doesn't imply a moral judgment of the
images would be fine with me, and consistency is as good an argument as any.

Agreed. I also prefer "MediaWiki:RestrictedImages" or "MediaWikia:RestrictedImageList", but any of the discussed options are certainly better than the current title.

demon added a comment.Via ConduitJun 17 2008, 1:56 PM

(In reply to comment #2)

That might imply an upload blacklist... but it ain't bad.

On that note, how feasible would it be to add an upload blacklist? If the hash (used for comparisons, etc) were known and added to [[MediaWiki:FileBlacklist]], could that be used to block uploads of a particular bad image?

bzimport added a comment.Via ConduitJun 17 2008, 3:39 PM

danny.b wrote:

(In reply to comment #5 and comment #5)

Having inconsistent naming is not the best idea. All such lists should contain "blacklist" or "whitelist" in their name.

bzimport added a comment.Via ConduitJun 18 2008, 1:31 AM

banyantreewp wrote:

(In reply to comment #8)

(In reply to comment #5 and comment #5)

Having inconsistent naming is not the best idea. All such lists should contain
"blacklist" or "whitelist" in their name.

Sure, that's why I said that the previous suggestion of MediaWiki:ImageUsageBlacklist is fine by me. We obviously didn't have dev input into the fairly casual discussions on the en.wiki page.

tstarling added a comment.Via ConduitJun 10 2009, 4:44 AM

The name is a tongue-in-cheek reference to the concept of absolute morality. It introduces the idea that an inanimate object such as an image can be morally evil, but using the simplistic term a child might use, in an attempt to bring in a hint of parody. The term "bad image" is deliberately ambiguous, and references the nature of arguments which might had around adding an image to it.

Of course, we all earnestly avoid the impression of moral judgement when we're discussing listing and delisting, but the vandalism it's designed to combat relies on causing shock and offence, and that naturally leads to a list which is a catalogue of the things that offend our moral sensibilities.

The possible technical terms, such as "restricted", seemed imprecise to me, so I settled on the ironic term, which at least derives some humour from its imprecision.

Paine_Ellsworth added a comment.Via ConduitFeb 25 2010, 8:12 PM

I agree with the evident consensus against the present name. I have moved the template page now named "Restricted use", and I have piped the name of the WikiMedia:Bad image list to "Wikimedia:Restricted-use image list" on the template page. Please move the name of this page to "Wikimedia:Restricted-use image list". Thank you very much! -- Paine

Paine_Ellsworth added a comment.Via ConduitApr 8 2010, 12:58 PM

Also, we should note that the template, now called the "Restricted use" template, lists the pages it's on in "Category:Restricted images". "Bad" images appears to be against WP's "Neutral Point of View" policy, so please move the "WikiMedia:Bad image list" to "Wikimedia:Restricted-use image list" at your earliest possible convenience. Thank you! -- Paine

bzimport added a comment.Via ConduitApr 9 2010, 9:58 PM

matthew.britton wrote:

(In reply to comment #12)

"Bad"
images appears to be against WP's "Neutral Point of View" policy

The neutral point of view policy covers the content and style of Wikipedia articles, not the naming of internal message pages used by the MediaWiki sofware on that and many other wikis.

Paine_Ellsworth added a comment.Via ConduitApr 11 2010, 2:42 AM

(In reply to comment #13)

(In reply to comment #12)
> "Bad"
> images appears to be against WP's "Neutral Point of View" policy
The neutral point of view policy covers the content and style of Wikipedia
articles, not the naming of internal message pages used by the MediaWiki
sofware on that and many other wikis.

That is correct, no contest. The "internal message pages", however, are accessible to all, are they not? Internal or external, NPOV is a good rule to follow, don't you think? -- Paine

Peachey88 added a comment.Via ConduitApr 11 2010, 2:44 AM

how about "Restricted Media Backlist" (since we support more than just images in the file namespace.

bzimport added a comment.Via ConduitApr 11 2010, 2:46 AM

overlordq wrote:

(In reply to comment #14)

That is correct, no contest. The "internal message pages", however, are
accessible to all, are they not? Internal or external, NPOV is a good rule to
follow, don't you think? -- Paine

No. While yes Wikipedia is the 'intended target' of mediawiki, there's a lot other users of mediawiki where NPOV has no meaning.

Paine_Ellsworth added a comment.Via ConduitApr 12 2010, 5:44 AM

(In reply to comment #16)

(In reply to comment #14)
> That is correct, no contest. The "internal message pages", however, are
> accessible to all, are they not? Internal or external, NPOV is a good rule to
> follow, don't you think? -- Paine
No. While yes Wikipedia is the 'intended target' of mediawiki, there's a lot
other users of mediawiki where NPOV has no meaning.

It's really the spirit of NPOV I'm talking about. What does it take to make the "bad" list? If an image is used for vandalism and is brought to the Talk page of the "MediaWiki:Bad image list", then it is considered for the list. It's the vandal that was "bad", not the image, so that's really the issue here, isn't it? We are not listing "bad" images, per se, we are listing images that have been misused and are thereby restricted in their use. The consensus above shows clearly that a renaming is needed. Please rename the page as I suggested above. -- Thank you, Paine

Paine_Ellsworth added a comment.Via ConduitApr 12 2010, 6:00 AM

While images are probably the most misused of media, perhaps the only media used by vandals, if you prefer to rename the list to "MediaWiki:Restricted-use media list", then that would also be appropriate. So please rename the list to either...

  1. MediaWiki:Restricted-use image list, or
  2. MediaWiki:Restricted-use media list,

as you deem appropriate. Thank you, Paine

Paine_Ellsworth added a comment.Via ConduitDec 31 2010, 4:16 AM

I don't mean to seem impatient, but it would be nice to have a target date for completion of this page move. Thank you very much, and Happiest of New Years to you and yours!

Thryduulf added a comment.Via ConduitFeb 13 2011, 5:37 AM

If this move ever happens (I wouldn't hold your breath tbh), it will not be before there is a consensus about the new name.

There is currently a formal move request at [[MediaWiki talk:Bad image list#Move request]] that might see such a consensus (but again I wouldn't hold your breath).

Bawolff added a comment.Via ConduitFeb 13 2011, 5:49 AM

As a note, the name is used on all mediawiki installs, it is not something that is going to be made a config option, so consensus at wikipedia (on the off chance you actually get it) does not necessarily imply it will be changed. (otoh it could convince the powers to be that a lot of people care, which might convince them that its a worthwhile change, but honestly I can't imagine too many devs actually care what this page is called. I certainly don't.).

Paine_Ellsworth added a comment.Via ConduitFeb 16 2011, 1:03 AM

(In reply to comment #20)

If this move ever happens (I wouldn't hold your breath tbh), it will not be
before there is a consensus about the new name.
There is currently a formal move request at [[MediaWiki talk:Bad image
list#Move request]] that might see such a consensus (but again I wouldn't hold
your breath).

I took up your final suggestion nearly a year ago, and there have been some who took it up long before that.
There is consensus. The problem is that it's a consensus against the old name, not for a new name. And it also involves a consensus that just about any new name Mr. Starling comes up with (except anything that involves the word "blacklist" - these are not images, files and media that are blacklisted, their usage is merely being restricted) would be an improvement to MediaWiki.
I entered another supportive argument on the Talk page you cited, but believe me, I harbor no illusions about any of this. And there are other considerations that I will advance in my response to Bawolff.

Paine_Ellsworth added a comment.Via ConduitFeb 16 2011, 1:45 AM

(In reply to comment #21)

As a note, the name is used on all mediawiki installs, it is not something that
is going to be made a config option, so consensus at wikipedia (on the off
chance you actually get it) does not necessarily imply it will be changed.
(otoh it could convince the powers to be that a lot of people care, which might
convince them that its a worthwhile change, but honestly I can't imagine too
many devs actually care what this page is called. I certainly don't.).

Assuming you are correct, there may very well be at least one dev who cares, and that would be Tim Starling, who above indicates that the present name was settled upon as an ironic term. A choice bit of "dev humour"? It is important to me that Mr. Starling and all devs know that the request for a name change is in no way meant to be taken personally. The only reason that I've involved myself in this issue is to improve this page. Calling these images, files and media "bad" is like calling a screwdriver bad just because some idiot criminal used it to murder somebody.
Just as important is the actual impact of this request. Does it involve changing one line of code that will take maybe 30 seconds to implement? or will it take many subtle and intricate code modifications involving hours of dev time? Nobody seems to know the answer to this.
Over a fairly long period of time there have been many editors who voiced their feeling that the present name needs to be changed. Perusing the archived and active discussions about this issue would seemingly be enough to convince anybody that there is a need to rename this page. The usage of these images, files and media on this list is being "restricted". They are not "bad", nor are they "blacklisted". For me, the bottom line must be that if this page could have been renamed in the same fashion as most pages are renamed, then it would have been renamed a long time ago.

Thryduulf added a comment.Via ConduitJun 30 2012, 5:41 PM

It has just occurred to me that part of the issue might be that the way the list is being used is different from that which was envisaged at the time of its creation.

Tim Starling's April 2005 announcement of it's creation (currently found as the first comment at http://en.wikipedia.org/wiki/MediaWiki_talk:Bad_image_list/Archive_1#Old.2C_unsectioned_comments_from_the_Village_pump (I've not found the original diff))b egan:

In response to complaints about certain offensive images being used for vandalism (most notably Image:Autofellatio 2.jpg), I've introduced a bad image list, which contains a list of images which cannot be included inline in articles. Inline images are replaced with links to the description page. I only implemented this feature because the current compromise on Autofellatio is amenable to it -- I hope this will be used as an anti-vandalism feature not as a means of censorship.

It's use these days is as a means to restrict images that need to be use-restricted for any reason, not just as a means to save the project from descending into a moral panic about sexual imagery (we're *much* hotter about fair use now than we were 7 years ago for example).

(In reply to comment #23)

For me, the bottom line must be that if this page
could have been renamed in the same fashion as most pages are renamed, then it
would have been renamed a long time ago.

I'm not certain I agree with everything you've said, but I cannot argue that if it could have been renamed locally it would have been by now (at least once). Whether that is sufficient reason to rename it here I don't know though. There is obviously a very good reason why MediaWiki pages can't be renamed like other pages - however, as we've never got an answer as to how complex this change would be, we don't know how strong a reason we need (i.e. if it's trivial changes to 2 lines, then what we have now should be good enough; if though it's a week's work then I'd be looking for a much stronger mandate.

Paine_Ellsworth added a comment.Via ConduitJul 1 2012, 7:40 PM

It's been awhile, and I would have thought that this actually would have been resolved by now in favor of the name change I asked for above. There has been a lack of discussion and a seeming lack of interest to pursue this; however, I do still think this is worth a continuance at the very least. Resolution cannot really come about until and unless an expert, a developer, would please explain why this is such a profoundly big deal. The usage of "restricted image" on associated pages has held up for quite a while, so that term appears to have merit. If this name change truly would take up far too much time to implement, and there is no developer willing or able to put in that time and effort, then by all means let's forget about it. And yet, if it turns out to be an easy fix, then shouldn't we resolve this the right way and change the name of the list?

Bawolff added a comment.Via ConduitJul 3 2012, 12:56 AM

There has been
a lack of discussion and a seeming lack of interest to pursue this

No one likes to re-paint a bikeshed. That's all there is to it.

Paine_Ellsworth added a comment.Via ConduitAug 5 2012, 1:33 PM

(In reply to comment #26)

>There has been
>a lack of discussion and a seeming lack of interest to pursue this
No one likes to re-paint a bikeshed. That's all there is to it.

That's a new metaphor for me. And forgive me, for I have no idea why repainting a bike shed is such a big deal. A little paint, a little time, get on with your life. Please Bawolff, would you shed some light on why this can't be done? There have been several editors involved in the history of this change, so it is obvious to me that if the mod could have been made in the usual manner, it would have been done long, long ago.

Did the originator die, and now nobody wants to alter his work? Is this one of Jimmy Wales original titles and everybody's afraid to change it? What the heck is really going on with this? It has never made sense to me, and metaphors about repainting bikesheds just makes it more enigmatic. Please explain this in terms a 6-year-old can understand.

Bawolff added a comment.Via ConduitAug 7 2012, 12:27 PM

(In reply to comment #27)

(In reply to comment #26)
> >There has been
> >a lack of discussion and a seeming lack of interest to pursue this
> No one likes to re-paint a bikeshed. That's all there is to it.

That's a new metaphor for me.

[..]

[[Parkinson's Law of Triviality]]

Thryduulf added a comment.Via ConduitSep 8 2012, 12:33 PM

The "Repainting the bikeshed" analogy doesn't quite fit here as this isn't a case of the bikeshed being green and some people arguing that it should be orange.

What we have is a bikeshed with a big sign on it, the text of the sign is offensive to many people who see it. While most visitors don't see the bikeshed, some do and of those many will be offended. Although most staff don't care about the text of the sign one way or the other, there is a small group that want it changed to something that doesn't offend visitors (and staff). Most people simply say "if you want to change it, go ahead and do it, we don't mind.". If anybody could change the sign it would have been changed long ago and everyone would be happy. However, only site maintenance staff can change the sign.

When asked to change the sign, one of the maintenance staff once said "I wrote it like that years ago as a small joke, so meh". Since then (itself several years ago now) none of the maintenance staff have refused to talk about or answer questions about anything to do with the sign. They won't even say whether changing the sign is a simple two minute job with a paintbrush or would require a complete structural rebuild of the entire shed.

Also, it is forgotten by most people that it is not only our bikeshed with this sign on it. Our organisation also supplies copies of our site buildings to others who want to run similar organisations, and their bikesheds also contain this sign with the same wording on it that some find offensive.

Personally, I don't find the wording offensive but regognise that other people do. As there is no reason to have the offensive wording, I think it should be changed.

Thryduulf added a comment.Via ConduitSep 8 2012, 12:35 PM

Sorry, "none of the maintenance staff" in the third paragraph of my previous comment should be "all of the maintenance staff".

Thryduulf added a comment.Via ConduitNov 24 2012, 12:47 PM

Why is answering questions about this bug so difficult?

Aklapper added a comment.Via ConduitNov 25 2012, 12:04 AM

Who were addressees of questions? If nobody feels adressed, nobody answers.

Thryduulf added a comment.Via ConduitNov 25 2012, 1:44 AM

Anybody who can answer the questions below, presumably somebody with developer access?

  1. Would changing the name of this special page be a large or small task?
  2. If it is just a small task, what is standing in the way of it being done?
MZMcBride added a comment.Via ConduitNov 25 2012, 2:03 AM

(In reply to comment #33)

Anybody who can answer the questions below, presumably somebody with developer
access?

  1. Would changing the name of this special page be a large or small task?

It's not really a special page, or at least calling it such when there's a Special namespace that houses entirely different kinds of pages (e.g. [[Special:SpecialPages]]) is a little confusing.

To answer your question directly, this is a trivial task to accomplish. I'm marking the bug with the "easy" keyword accordingly.

  1. If it is just a small task, what is standing in the way of it being done?

Comment 10, I imagine. Tim Starling is not some random guy. He's a MediaWiki architect (I guess that's the term we're using these days; cf. https://www.mediawiki.org/w/index.php?title=Talk:%2B2&oldid=597500#Revocation). So when he marked this bug as "wontfix", even though it's been re-opened, there's likely a lot of hesitance to insert a feature that was explicitly marked rejected by a senior developer (and MediaWiki architect). Tim gave his reasoning in comment 10.

Now, to the bug itself, this is an interesting bug. I hadn't realized it had been re-opened.

I first found myself thinking that it would make sense to split this feature (a bad image list) out into a MediaWiki extension. It was never really great for it to go into MediaWiki core in the first place as it doesn't really seem like a generically useful feature. Moving the code into an extension would give the extension author first rights (is "first rights" a concept?) to pick a name for the list (and the extension as well, I suppose).

But the more I think about it, I'm not even sure that a separate extension makes sense as a path forward. There are tools such as the AbuseFilter extension (https://www.mediawiki.org/wiki/Extension:AbuseFilter) that can block the submission of edits such as this. Why isn't a list being maintained in an AbuseFilter filter? Wouldn't moving the list to a filter (and deprecating the use of "MediaWiki:Bad image list") resolve this bug for the most part?

Thryduulf added a comment.Via ConduitNov 25 2012, 2:58 AM

Firstly thank you for the answers, it's been a frustrating wait.

I have all-but zero experience of how abuse filters work, but the strength of the MediaWiki page (sorry about the earlier confusion of terminologies) is that it is simple for any admin to keep up-to-date with new images, renamings, deletions and new/changed/old exceptions (It's almost certainly in the top 10 most edited MediaWiki namespace pages).

If this can also be done with an edit filter (or extension) then go for it, remembering that it needs to block only inline images on the list (except on explicitly listed pages) while allowing links to the image description page from everywhere.

From an end user point of view I'm happy with everything about this feature except the name, so as long as it remains simple and easy to keep up-to-date then it matters little to me how this is achieved.

MZMcBride added a comment.Via ConduitNov 25 2012, 3:38 AM

(In reply to comment #35)

From an end user point of view I'm happy with everything about this feature
except the name, so as long as it remains simple and easy to keep up-to-date
then it matters little to me how this is achieved.

I posted to wikitech-l about this topic: http://lists.wikimedia.org/pipermail/wikitech-l/2012-November/064634.html. It's unclear to me what the best path forward is here and I'm hoping others will chime in with their thoughts on the mailing list.

It's completely possible that this bug will end up marked as "wontfix" again, though. I listed a number of feasible options to resolve this bug, but there may be (developer) consensus that this really is a "wontfix" situation. We'll see how the discussion goes.

Platonides added a comment.Via ConduitNov 25 2012, 6:14 PM

First, I see no problem with the current name. Where is people seeeing it and getting so offended?
I only see {{Restricted use}} so far, and you can even take it one step further and not even have the link going directly to MediaWiki:Bad_image_list if you wish to.

Second, the change itself is trivial. Replace 'Bad image list' with the new name in a few places. The havoc comes when existing bad image lists stop working due to a MediaWiki upgrade. Which is worse than keeping a less-than-optimal name for the list. This is a WONTFIX for me.

If it is so important to have it under a different name, we might allow it to be redirected, so you can store the list somewhere else.

Paine_Ellsworth added a comment.Via ConduitNov 27 2012, 1:49 AM

It's good to see some dialog and answers flowing in this discussion. Yes, some people are for a name change, and some are against a name change (at the dev level); however, the history of this long, long discussion, both here in the RAID section and in the archives of the Wikipedia talk page, shows that there is a clear consensus to change the name.

What to change the name to is up for grabs, I guess, but the consensus does appear to be against the usage of the term "bad" to describe the images on the list. Perhaps it's not so much that the name of the list is offensive, it's just that "bad" in not appropriate. It's inappropriate to describe perfectly "good" restricted-use images as "bad".

In all this time that's the way I've pictured the problem that's addressed here. Since it is indeed a "trivial task to accomplish" (thank you, MZMcBride), then that is a huge reason to go forward and to change the name. If, on the other hand, there are major concerns about what would happen after a Mediawiki upgrade, then that is just as huge a reason for all of us to step back and weigh this whole thing again.

First, Platonides, this all started with just one bad image list, and now you allude to there being more than one. You say the havoc comes when existing bad image lists (plural) stop working. Again, if the mod is so trivial, then why should there be any concern about upgrades? Also, what "other" bad image lists are there that this proposed name change would affect?

And lastly Platonides, you say that you might allow it to be redirected. That is what usually happens anyway when a page is moved, correct? When the page title is changed, the original title is redirected to the new title. Or are you talking about something entirely different than this?

Thank you all for continuing to participate and for helping to resolve this name change request.

Nemo_bis added a comment.Via ConduitJan 11 2013, 6:49 PM

-easy: but is not definite yet.

Krenair added a comment.Via ConduitFeb 22 2013, 3:13 PM

There are multiple bad image lists because, believe it or not, your wiki is not the only wiki in the world. Each wiki has it's own version of the "MediaWiki:Bad image list" title.

My concern about what would happen after an upgrade is that most wiki communities will be completely unaware that the name of the page MediaWiki fetches this list from has changed. They will still be expecting these images to be blocked based on the list at the old title, when in fact MediaWiki is going to another different one. While this may be easy to deal with if you just have a single list, we have to worry about ALL wiki communities.
A way around this could be something in the old title readable by both MediaWiki and humans that says "go to the new page instead" (a redirect?). I'm not sure if this would be good for performance.
Unless someone provides a patch which prevents such a situation from happening, is very simple, and is okay'd by Tim Starling, this is also a wontfix from me.

Thryduulf added a comment.Via ConduitFeb 22 2013, 11:10 PM

(In reply to comment #40)

Well the simplest solutions would seem to me to be

  1. Move the existing page to a new title as part of the upgrade, leaving a (soft) redirect behind.

and/or

  1. Make the name of the page configurable for each wiki,

The other wikis issue therefore doesn't seem to warrant the extreme negativity shown, nor any special blessing by any individual beyond that required for any other change.

Bawolff added a comment.Via ConduitFeb 22 2013, 11:25 PM
  1. Make the name of the page configurable for each wiki,

That's not a simple change (or at least isnt simple to do in a non hacky fashion).

(That said my objections are social not technical. english wikipedia ain't the center of the universe. Non english wikis have to deal with the title being in english. Etc)

Paine_Ellsworth added a comment.Via ConduitMar 7 2013, 9:00 AM

We've come a long way, baby! Three years ago I came here with a Wikipedian community consensus to ask for help. We had no way to change the name of this list except to open a bug report. I found this closed bug about the same page and the same subject, so I reopened it rather than to open a new bug report. Now, it's obvious that you consider Wikipedians to be insensitive to the other wikis - elitists who give no thought to the needs of others. That of course couldn't be farther from the truth. Only you know how to change the name of this page from "MediaWiki:Bad image list" to "MediaWiki:Restricted-use media list". If you can't or won't do it, then I've been kickin' a dead horse for three years. I'm outta here.

Platonides added a comment.Via ConduitMar 11 2013, 6:44 PM

https://gerrit.wikimedia.org/r/53190 should fix this bug. Moving the message to another page will make mediawiki use that other title of your choice (note that it is required that you leave the redirect).

Bawolff added a comment.Via ConduitMar 19 2013, 4:40 PM

Just to clarify since there was some confusion on wikipedia - this bug is not fixed until another developer oks Platonides's change (gives it a +2 in developer jargon). Once that happens the status of this bug will be changed to fixed (currently its marked as reopened) and about a week or so after that the change will appear on wikipedia.

MZMcBride added a comment.Via ConduitMar 20 2013, 5:11 AM

(In reply to comment #34)

  1. If it is just a small task, what is standing in the way of it being done?

Comment 10, I imagine. Tim Starling is not some random guy. He's a MediaWiki
architect (I guess that's the term we're using these days; cf.
<https://www.mediawiki.org/w/index.php?title=Talk:
%2B2&oldid=597500#Revocation>).
So when he marked this bug as "wontfix", even though it's been re-opened,
there's likely a lot of hesitance to insert a feature that was explicitly
marked rejected by a senior developer (and MediaWiki architect). Tim gave his
reasoning in comment 10.

This is wrong. My apologies. Tim didn't mark this bug as resolved/wontfix. That was a mis-statement on my part. Tim commented (comment 10), a few hours later someone else marked the bug as resolved/worksforme, then the bug was changed to resolved/wontfix a few months later (cf. https://bugzilla.wikimedia.org/show_activity.cgi?id=14281). I stand by the belief that it was Tim's comment that led to this bug being marked resolved, but the bug's history makes it clear it wasn't Tim who marked it resolved.

A dependency of this bug (https://gerrit.wikimedia.org/r/#/c/53189/1) seems to be on its way to approval (Tim wrote "The intent and design is fine by me.").

gerritbot added a comment.Via ConduitJan 29 2014, 7:17 AM

Change 53190 had a related patch set uploaded by Krinkle:
Allow the bad image list to be redirected elsewhere

https://gerrit.wikimedia.org/r/53190

Krinkle added a subscriber: Krinkle.Via WebDec 18 2014, 7:56 AM

The current name of the list is "Bad image list". Since nowadays MediaWiki supports uploads of other file-types as well, we should rename it to something that mentions "Media" or "File", just like we've done in many other cases in MediaWiki already. That kind of rename is uncontroversial.

I don't mind what the name ends up being. Realistic options seem:

  • Bad file list
  • File usage blacklist

Users of English Wikipedia live on the same planet among the same humans as other users of MediaWiki software. I don't see any justification for en.wikipedia.org (or any wiki for that matter) to have a different name for this configuration mechanism. It'd also make interoperability more complex for no reason.

When we settle on the new name, the software can trivially be updated to use this new name. Including support for the old name for backwards-compatibility. Alternatively, we could provide a maintenance script or update step that just renames the page for existing installs.

Krinkle changed the title from "Suggestion: Rename "Bad image list" to better title" to "Rename "Bad image list" to something better".Via WebDec 18 2014, 7:57 AM
Krinkle removed a subscriber: wikibugs-l.
Krinkle set Security to None.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.